// Copyright 2016 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

/// Simple Physics Simulations for Dart. Springs, friction, gravity, etc.
library newton;

import 'dart:math' as math;

part 'src/simulation.dart';
part 'src/simulation_group.dart';
part 'src/tolerance.dart';
part 'src/utils.dart';

part 'src/clamped_simulation.dart';
part 'src/friction_simulation.dart';
part 'src/gravity_simulation.dart';
part 'src/scroll_simulation.dart';
part 'src/spring_simulation.dart';
part 'src/spring_solution.dart';
